none
Why aren't VSTO prerequisites installed when installing from web? RRS feed

  • Question

  • I've packaged my VSTO files for deployment and put them up on the web server. When I open the .vsto file in IE, the installer starts, but then fails saying there's no correct .Net framework available. When running the setup.exe locally, that same installer offers to install .Net 4 as it should.

    Can anyone help me get the web-based deployment scenario doing the same?


    - Dmitri Nesteruk, MVP C#, Microsoft Partner
    Thursday, January 26, 2012 4:29 PM

Answers

  • Hi Dmitri,

    Thanks for your post.

    As I can recall, I have seen this similar issue once a time, the default link to download .NET Framework seems down for a period of time. And the workaround for the issue we use at that time is configuring the URL to download the correct .NET version in the prerequisites dialog box:

    Also you can consider asking this kind of questions in this forum:

    http://social.msdn.microsoft.com/Forums/en-US/netfxsetup/threads

    I hope this helps.


    Calvin Gao[MSFT]
    MSDN Community Support | Feedback to us
    Friday, January 27, 2012 7:11 AM
    Moderator